public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/cartopy/
Date: Fri,  7 Oct 2022 19:00:44 +0000 (UTC)	[thread overview]
Message-ID: <1665169206.69c1639bc9955366554f4de898f2e5d3b1faf383.sam@gentoo> (raw)

commit:     69c1639bc9955366554f4de898f2e5d3b1faf383
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  7 18:59:27 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct  7 19:00:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69c1639b

sci-libs/cartopy: switch to single-impl Python

This is needed because gdal is single impl now (b/c of various bugs
we hit).

Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...topy-0.20.3.ebuild => cartopy-0.20.3-r1.ebuild} | 63 ++++++++++++----------
 1 file changed, 35 insertions(+), 28 deletions(-)

diff --git a/sci-libs/cartopy/cartopy-0.20.3.ebuild b/sci-libs/cartopy/cartopy-0.20.3-r1.ebuild
similarity index 53%
rename from sci-libs/cartopy/cartopy-0.20.3.ebuild
rename to sci-libs/cartopy/cartopy-0.20.3-r1.ebuild
index 8748a3e391ab..4555f424ccdf 100644
--- a/sci-libs/cartopy/cartopy-0.20.3.ebuild
+++ b/sci-libs/cartopy/cartopy-0.20.3-r1.ebuild
@@ -3,7 +3,8 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{7..10} )
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1 virtualx
 
@@ -13,6 +14,7 @@ MY_P=${PN}-${MY_PV}
 DESCRIPTION="Python package for geospatial data processing and analysis"
 HOMEPAGE="https://scitools.org.uk/cartopy"
 SRC_URI="https://github.com/SciTools/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
 
 LICENSE="LGPL-3"
 SLOT="0"
@@ -24,48 +26,53 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 RDEPEND="
 	${PYTHON_DEPS}
 	sci-libs/geos
-	dev-python/numpy[${PYTHON_USEDEP}]
-	sci-libs/pyshp[${PYTHON_USEDEP}]
-	dev-python/shapely[${PYTHON_USEDEP}]
-	dev-python/six[${PYTHON_USEDEP}]
-	dev-python/matplotlib[${PYTHON_USEDEP}]
-	dev-python/scipy[${PYTHON_USEDEP}]
-	dev-python/pillow[jpeg,${PYTHON_USEDEP}]
-	sci-libs/gdal[python,${PYTHON_USEDEP}]
-	dev-python/pyproj[${PYTHON_USEDEP}]
 	>=sci-libs/proj-8
+	$(python_gen_cond_dep '
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/shapely[${PYTHON_USEDEP}]
+		dev-python/six[${PYTHON_USEDEP}]
+		dev-python/matplotlib[${PYTHON_USEDEP}]
+		dev-python/scipy[${PYTHON_USEDEP}]
+		dev-python/pillow[jpeg,${PYTHON_USEDEP}]
+		dev-python/pyproj[${PYTHON_USEDEP}]
+		sci-libs/gdal[python,${PYTHON_USEDEP}]
+		sci-libs/pyshp[${PYTHON_USEDEP}]
+	')
 "
-
-DEPEND="${RDEPEND}
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
-	dev-python/cython[${PYTHON_USEDEP}]
+DEPEND="${RDEPEND}"
+BDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+		dev-python/cython[${PYTHON_USEDEP}]
+	')
+	test? (
+		$(python_gen_cond_dep '
+			dev-python/filelock[${PYTHON_USEDEP}]
+			dev-python/mock[${PYTHON_USEDEP}]
+			dev-python/flufl-lock[${PYTHON_USEDEP}]
+		')
+	)
 "
 
 distutils_enable_tests pytest
 
-DEPEND+="test? (
-		dev-python/filelock[${PYTHON_USEDEP}]
-		dev-python/mock[${PYTHON_USEDEP}]
-		dev-python/pytest[${PYTHON_USEDEP}]
-		dev-python/flufl-lock[$PYTHON_USEDEP]
-	)"
-
-S="${WORKDIR}"/${MY_P}
-
 python_prepare_all() {
 	export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-	# drop test file requiring network access, which got not covered by markers
+
+	# Drop test file requiring network access, which got not covered by markers
 	rm "${S}"/lib/cartopy/tests/mpl/test_crs.py || die
 	rm "${S}"/lib/cartopy/tests/mpl/test_gridliner.py || die
-	# prepare matplotlib backend for test suite
+
+	# Prepare matplotlib backend for test suite
 	export MPLCONFIGDIR="${T}"
 	echo "backend : Agg" > "${MPLCONFIGDIR}"/matplotlibrc || die
+
 	distutils-r1_python_prepare_all
 }
 
 python_test() {
-	cd "${BUILD_DIR}"
-	# drop all tests needing network access
+	cd "${BUILD_DIR}" || die
+
+	# Drop all tests needing network access
 	virtx pytest -vv -m "not network and not natural_earth" || die "test failed"
 }


             reply	other threads:[~2022-10-07 19:00 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-07 19:00 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-26 10:44 [gentoo-commits] repo/gentoo:master commit in: sci-libs/cartopy/ Thomas Beierlein
2024-10-08  8:15 Thomas Beierlein
2024-04-18 11:12 Thomas Beierlein
2024-04-18 11:12 Thomas Beierlein
2023-07-20 18:20 Thomas Beierlein
2023-07-20 18:20 Thomas Beierlein
2023-07-18 13:24 Thomas Beierlein
2023-02-18 16:20 Thomas Beierlein
2023-01-29 15:27 Thomas Beierlein
2023-01-29 14:15 Thomas Beierlein
2022-12-28 10:47 Thomas Beierlein
2022-12-28 10:47 Thomas Beierlein
2022-10-08 10:52 Sam James
2022-10-07 19:58 Sam James
2022-10-07 19:58 Sam James
2022-10-07 19:58 Sam James
2022-10-07 19:58 Sam James
2022-10-07 19:18 Andreas Sturmlechner
2022-08-16  5:31 Thomas Beierlein
2022-04-01  9:09 Thomas Beierlein
2022-03-27 12:30 Thomas Beierlein
2021-12-28 12:05 Thomas Beierlein
2021-12-27 16:33 Thomas Beierlein
2021-12-26 10:23 Thomas Beierlein
2021-11-22 19:32 Thomas Beierlein
2021-10-10 17:06 Thomas Beierlein
2021-10-09  7:33 Thomas Beierlein
2021-09-19 15:20 Thomas Beierlein
2020-12-19 14:57 Thomas Beierlein
2020-12-19 14:57 Thomas Beierlein
2020-12-18 23:38 Matt Turner
2020-12-18 21:21 Thomas Beierlein
2020-09-08  5:52 Thomas Beierlein
2020-08-31 15:40 Thomas Beierlein
2020-08-29 17:38 Thomas Beierlein
2020-07-08 17:38 Thomas Beierlein
2020-04-23 16:18 Thomas Beierlein
2020-03-29 17:46 Thomas Beierlein

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665169206.69c1639bc9955366554f4de898f2e5d3b1faf383.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox